language: cn
model_unique_abbr: rasterstreamgrid_extraction_taudem
version: 1.0
identification:
  docker_image_name: taudem_ext:5.3.9
  model_name: 河网提取（栅格）
  semantic: stream raster grid extraction
  description: 将汇流累积量按照确定的阈值进行栅格河网的提取
  category_application: 处方型
  category_data:
  - 栅格数据
  keywords:
  - 地形分析
  - 水文分析
  - 单流向
parameter_info:
  parameters:
  - arg_name: np
    param_type: param
    visible: false
    name: 进程数
    description: mpi计算核数
    data_type: int
    data_semantic: number of process
    specification:
      default: 1
  - arg_name: ' '
    param_type: param
    visible: false
    name: 河网提取算法
    description: 河网提取算法名称
    data_type: str
    data_semantic: name of rasterStreamGrid extraction by threshold
    specification:
      default: threshold
  - arg_name: ssa
    param_type: input_data
    name: d8汇流累积量栅格
    description: d8汇流累积量栅格
    data_type: tif
    data_semantic: flow_accumulation
  - arg_name: src
    param_type: output_data
    name: 提取的河网栅格
    description: 提取的河网栅格
    data_type: tif
    data_semantic: stream_raster_grid
  - arg_name: thresh
    param_type: param
    visible: true
    name: 阈值
    description: 河网提取阈值
    data_type: str
    data_semantic: threshold
    specification:
      default: 100.0
application:
  domain: 水文分析数据预处理
  objective: 计算生成栅格河网数据
  link_models:
    preorder:
    - AreaD8
  mechanism: 该算法基于汇流累积量，根据选定的阈值确定河网。 #机理
operation:
  usage: 用户输入汇流累积量以及提取河网的阈值，输出栅格的河网结果
  exec_example:
  - "docker run -v $(pwd)/data:/data crazyzlj/taudem_ext:alpine-openmpi-gdal-latest [-np <nproc>] threshold  -ssa /data/demad8.tif -src /data/demsrc.tif -thresh 100.0"
  output_display:
  - 输出河网栅格，直接显示
technique:
  language:
  - C++
  os:
  - Windows
  - Linux
  - MacOS
  parallel:
  - MPI
  hardware:
  - CPU
source:
  maintainer: Zi-Yue Chen
  organization: Institute of Geographic Sciences and Natural Resources Research
  contact: chenzy@lreis.ac.cn
  repository: https://github.com/lreis2415/TauDEM_ext
  integrated_softwares:
  - name: taudem_ext
    version: TauDEM5.3
    license: GPLv3license
  references:
  - "O'Callaghan, J. F., Mark, D. M. 1984. The extraction of drainage networks from digital elevation data. Computer Vision, Graphics, and Image Processing, 28(3): 323–344"

